Assisters API
Billing

Wallet & Top-Up

Manage your account balance for pay-as-you-go usage

Wallet & Top-Up

Your wallet holds credits for API usage. Add credits, make API calls, credits deduct automatically per request.

Checking Balance

Dashboard

View your balance at assisters.dev/dashboard/billing

API

curl https://api.assisters.dev/v1/wallet/balance \
  -H "Authorization: Bearer ask_your_api_key"

Response:

{
  "balance": 25.50,
  "currency": "USD"
}

Adding Credits

Top-Up Options

AmountBonusTotal Credits
$10-$10.00
$25-$25.00
$50+5%$52.50
$100+10%$110.00
$250+15%$287.50
$500++20%Contact sales

Via Dashboard

  1. Go to Dashboard → Billing
  2. Click Top Up
  3. Select amount or enter custom amount
  4. Complete payment via Stripe

Via API

curl -X POST https://api.assisters.dev/v1/wallet/top-up \
  -H "Authorization: Bearer ask_your_api_key" \
  -H "Content-Type: application/json" \
  -d '{"amount": 25.00}'

Response:

{
  "checkout_url": "https://checkout.stripe.com/...",
  "amount": 25.00,
  "currency": "USD"
}

Transaction History

View all wallet transactions:

curl https://api.assisters.dev/v1/wallet/transactions \
  -H "Authorization: Bearer ask_your_api_key"

Response:

{
  "transactions": [
    {
      "id": "txn_abc123",
      "type": "topup",
      "amount": 25.00,
      "balance_after": 50.00,
      "created_at": "2026-01-15T10:30:00Z",
      "description": "Credit top-up"
    },
    {
      "id": "txn_xyz789",
      "type": "usage",
      "amount": -0.15,
      "balance_after": 49.85,
      "created_at": "2026-01-16T14:22:00Z",
      "description": "API usage - assisters-chat-v1"
    }
  ]
}

Transaction Types

TypeDescription
topupCredits added via payment
usageCharged for API calls
refundCredits refunded
bonusPromotional credits

Auto Top-Up

Enable automatic top-up to never run out of credits:

  1. Go to Dashboard → Billing → Auto Top-Up
  2. Set threshold (e.g., $5)
  3. Set top-up amount (e.g., $25)
  4. When balance drops below $5, automatically add $25
{
  "auto_topup": {
    "enabled": true,
    "threshold": 5.00,
    "amount": 25.00
  }
}

Low Balance Alerts

Get notified before running out:

  1. Go to Dashboard → Settings → Notifications
  2. Enable Low Balance Alerts
  3. Set threshold (e.g., $10)

You'll receive an email when your balance drops below the threshold.

Spending Controls

Budget Limits

Set a maximum monthly spend:

{
  "spending_limit": {
    "enabled": true,
    "monthly_limit": 100.00,
    "action": "block"  // or "alert"
  }
}

Per-Request Limits

Limit individual request costs:

response = client.chat.completions.create(
    model="assisters-chat-v1",
    messages=messages,
    max_tokens=500  # Limits output cost
)

Refunds

Wallet credits are non-refundable but can be used for any API calls. If you have issues with charges:

  1. Contact [email protected]
  2. Include transaction IDs
  3. We'll review and credit if appropriate

FAQ

Top Up Now

Add credits to your wallet